<app-auth-block>
  <form class="authblock" [formGroup]="signForm" (ngSubmit)="SignUp()">
    <h3>Sign Up</h3>

    <div class="formGroup">
      <input type="email" class="formControl" placeholder="Email Address" formControlName="email">
      <ng-container *ngIf="email.invalid && email.touched">
          <div class="invalid-msg" *ngIf="email.hasError('required')">
            Email required
          </div>
      </ng-container>
    </div>

    <div class="formGroup">
      <input type="password" class="formControl" placeholder="Password" formControlName="password">
      <ng-container *ngIf="password.invalid && password.touched">
        <div class="invalid-msg" *ngIf="password.hasError('required')">
          Password required
        </div>
        <div class="invalid-msg" *ngIf="password.hasError('minlength')">
          Password too short ! Add at least
          {{ password.getError('minlength').requiredLength - password.getError('minlength').actualLength  }}
        </div>
      </ng-container>


    </div>
    <div class="formGroup">
      <input type="password" [appdisableControl]="!password.value || password.pristine" class="formControl"
        placeholder="Confirm Password" formControlName="confirmPassword">
      <ng-container *ngIf="confirmPassword.invalid && confirmPassword.touched">
        <div class="invalid-msg" *ngIf="confirmPassword.hasError('mustMatch')">
          Confirm password must match password
        </div>
        <div class="invalid-msg" *ngIf="confirmPassword.hasError('required')">
          Confirm your password
        </div>
        <div class="invalid-msg" *ngIf="confirmPassword.hasError('minlength')">
          Confirm Password too short ! Add at least
          {{ confirmPassword.getError('minlength').requiredLength - confirmPassword.getError('minlength').actualLength  }}
        </div>
      </ng-container>
    </div>


    <div class="formGroup">
      <button *ngIf="signForm.valid" type="submit" class="btn btnPrimary">Sign Up</button>
    </div>



     <div class="formGroup">
        <span class="or"><span class="orInner">Or</span></span>
      </div>


      <div class="formGroup">
        <button type="button" class="btn googleBtn" (click)="authService.googleSignin()">
          <i class="fab fa-google-plus-g"></i>
          Continue with Google
        </button>
      </div>
  </form>
  <div class="redirect">
    <div class="redirectToLogin">
      <span>Already have an account? <span class="redirect" routerLink="/sign-in">Log In</span></span>
    </div>
  </div>

</app-auth-block>
